# Generated from taskjuggler-3.8.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name taskjuggler

# disabled because some test requirements aren't included in Fedora
%bcond tests 0

Name: rubygem-%{gem_name}
Version: 3.8.1
Release: 2%{?dist}
Summary: A Project Management Software
License: GPL-2.0-only
URL: http://www.taskjuggler.org
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# Fix for ruby 3.4
Patch: https://github.com/taskjuggler/TaskJuggler/commit/5c38b4287d4f80d265957445ae67b2f78aa952af.patch

BuildRequires: git-core

BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
%if %{with tests}
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(term-ansicolor)
# not in Fedora
BuildRequires: rubygem(base64)
BuildRequires: rubygem(drb)
%endif
BuildArch: noarch

%description
TaskJuggler is a modern and powerful, Free and Open Source Software project
management tool. It's new approach to project planning and tracking is more
flexible and superior to the commonly used Gantt chart editing tools.
TaskJuggler is project management software for serious project managers. It
covers the complete spectrum of project management tasks from the first idea
to the completion of the project. It assists you during project scoping,
resource assignment, cost and revenue planning, risk and communication
management.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%autosetup -n %{gem_name}-%{version} -S git

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
%if %{with tests}
pushd .%{gem_instdir}
rspec spec
popd
%endif

%files
%dir %{gem_instdir}
%{_bindir}/tj3
%{_bindir}/tj3client
%{_bindir}/tj3d
%{_bindir}/tj3man
%{_bindir}/tj3ss_receiver
%{_bindir}/tj3ss_sender
%{_bindir}/tj3ts_receiver
%{_bindir}/tj3ts_sender
%{_bindir}/tj3ts_summary
%{_bindir}/tj3webd
%exclude %{gem_instdir}/.gemtest
%license %{gem_instdir}/COPYING
%{gem_instdir}/bin
%{gem_instdir}/data
%{gem_libdir}
%{gem_instdir}/manual
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/spec
%{gem_instdir}/taskjuggler.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 28 2025 Ankur Sinha <sanjay.ankur@gmail.com> - 3.8.1-2
- Add fix for ruby 3.4

* Mon Apr 28 2025 Ankur Sinha <sanjay.ankur@gmail.com> - 3.8.1-1
- Update to 3.8.1

* Tue May 16 2023 Ankur Sinha <sanjay.ankur@gmail.com> - 3.7.2-1
- Update to 3.7.2
